import { getGuidance, setGuidance } from "../../page-instrument/custom-plugins/guide-page/api"
import { ref } from "vue"

export default function useDragGuidance() {
   // 引导页
   const guidanceShow = ref(false)
   let guideInfoData: Record<string, any> = {}

   function setGuidanceShow() {
      try {
         setGuidance({ guideTag: "guideInfo", guideValue: JSON.stringify(Object.assign(guideInfoData, { teacherDrag: true })) })
         guidanceShow.value = false
      } catch (e) {
         console.log(e)
      }
   }
   return {
      guidanceShow,
      setGuidanceShow
   }
}
